import { defineStore } from "pinia";
export const useUserStore = defineStore("user", {
    persist:true,
    state:()=>({
        accessToken:"",
        refreshToken:""
    }),
    getters:{
        getAccessToken(state){
            return state.accessToken;
        },
        getRefreshToken(state){
            return state.refreshToken
        }
    },
    actions:{
        setAccessToken(token:string){
            this.accessToken = token;
        },
        setRefreshToken(token:string){
            this.refreshToken = token
        }
    }
});